Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class MBeanServerRepositorySupport

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.MBeanServerRepositorySupport

All Implemented Interfaces:
  MBeanServerRepository

public final class MBeanServerRepositorySupport
extends java.lang.Object
implements MBeanServerRepository

store the MBeans

Author:
  Young Yang

Constructor Summary
`MBeanServerRepositorySupport()`

Method Summary
`boolean` | `contains(ObjectName name)`
`MBeanMetaData` | `get(ObjectName name)`
`java.util.Iterator` | `iterator()` value iterator, MBeanMetaData contains the ObjectName
`java.util.List` | `keys()` get all ObjectName
`void` | `put(ObjectName name, MBeanMetaData metadata)`
`void` | `remove(ObjectName name)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerRepositorySupport

    public MBeanServerRepositorySupport()

Method Detail

### get

    public MBeanMetaData get(ObjectName name)

  Specified by:
    `get` in interface `MBeanServerRepository`

### put

    public void put(ObjectName name,
                    MBeanMetaData metadata)

  Specified by:
    `put` in interface `MBeanServerRepository`

### remove

    public void remove(ObjectName name)

  Specified by:
    `remove` in interface `MBeanServerRepository`

### size

    public int size()

  Specified by:
    `size` in interface `MBeanServerRepository`

### contains

    public boolean contains(ObjectName name)

  Specified by:
    `contains` in interface `MBeanServerRepository`

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `MBeanServerRepository`
  value iterator, MBeanMetaData contains the ObjectName

  Specified by:
    `iterator` in interface `MBeanServerRepository`
  Returns:

### keys

    public java.util.List keys()

  Description copied from interface: `MBeanServerRepository`
  get all ObjectName

  Specified by:
    `keys` in interface `MBeanServerRepository`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD